import request  from '../util/request.js';

// 闸机外侧扫描查询工装设备信息
export function cfStockIn(params) {
    return request({
        url: '/api/stockInResource/queryInventoryByEPC',
        method: 'post',
        data: params,
    });
}

// 闸机外侧确认生成入库单
export function createStockIn(params) {
    return request({
        url: '/api/stockInResource/generateCFStockIn',
        method: 'post',
        data: params,
    });
}

// 闸机内侧扫描查询工装设备信息
export function cfStockInLeave(params) {
    return request({
        url: '/api/stockInResource/validationInsideTurnstile',
        method: 'post',
        data: params,
    });
}

// 根据人员信息查询对应归还的工装设备信息
export function queryCFStockInByUser(userId) {
    return request({
        url: '/api/stockInResource/queryCFStockInByUser?userId=' + userId,
        method: 'get',
    });
}

// 回填归还入库单入库时间
export function backfillCFStockInTime(params) {
    return request({
        url: '/api/stockInResource/backfillCFStockInTime',
        method: 'post',
        data: params,
    });
}